-------------------------------------------------------------------------------
--=> Common.lua
-- Common function that will likley be called from multiple sources and functions
-------------------------------------------------------------------------------
--=> LUACHECK OPTIONS
-------------------------------------------------------------------------------
--> LuaCheck Settings-
-- luacheck: no max line length
-- luacheck: ignore  _.* for k self
--> weizPVP Globals
-- luacheck: globals weizPVP
--> Addon Libs Globals
-- luacheck: globals
--> WoW Globals
-- luacheck: globals math.floor GetUnitSpeed IsFlying GetFramerate
-------------------------------------------------------------------------------
--=> COLOR FUNCTIONS
-------------------------------------------------------------------------------

--=> CONVERT: RGB To Hex
-----------------------------------------------------------
function weizPVP:RGBToHex(r, g, b)
    r = r <= 255 and r >= 0 and r or 0
    g = g <= 255 and g >= 0 and g or 0
    b = b <= 255 and b >= 0 and b or 0
    return string.format("%02x%02x%02x", r, g, b)
end

-------------------------------------------------------------------------------
--=> MATH FUNCTIONS
-------------------------------------------------------------------------------

--=> Round Number
-----------------------------------------------------------
function weizPVP:RoundNumber(number, decimal)
    local mult = 10 ^ (decimal or 0)
    return math.floor(number * mult + 0.5) / mult
end

